Subject: Re: [PATCH net-next] ipv6: lower "link become ready"'s level message

From: Jakub Kicinski <[email-masked]>
Date: Mon, 5 Jun 2023 16:16:50 -0700

On Fri, 02 Jun 2023 11:36:07 +0200 Matthieu Baerts wrote:
> This following message is printed in the console each time a network
> device configured with an IPv6 addresses is ready to be used:
> 
>   ADDRCONF(NETDEV_CHANGE): <iface>: link becomes ready
> 
> When netns are being extensively used -- e.g. by re-creating netns' with
> veth to discuss with each others for testing purposes like mptcp_join.sh
> selftest does -- it generates a lot of messages like that: more than 700
> when executing mptcp_join.sh with the latest version.
> 
> It looks like this message is not that helpful after all: maybe it can
> be used as a sign to know if there is something wrong, e.g. if a device
> is being regularly reconfigured by accident? But even then, there are
> better ways to monitor and diagnose such issues.
> 
> When looking at commit 3c21edbd1137 ("[IPV6]: Defer IPv6 device
> initialization until the link becomes ready.") which introduces this new
> message, it seems it had been added to verify that the new feature was
> working as expected. It could have then used a lower level than "info"
> from the beginning but it was fine like that back then: 17 years ago.
> 
> It seems then OK today to simply lower its level, similar to commit
> 7c62b8dd5ca8 ("net/ipv6: lower the level of "link is not ready" messages")
> and as suggested by Mat [1], Stephen and David [2].
> 
> Link: https://lore.kernel.org/mptcp/[email-masked]/T/ [1]
> Link: https://lore.kernel.org/netdev/[email-masked]/T/ [2]
> Suggested-by: Mat Martineau <[email-masked]>
> Suggested-by: Stephen Hemminger <[email-masked]>
> Suggested-by: David Ahern <[email-masked]>
> Signed-off-by: Matthieu Baerts <[email-masked]>

This appears to have been applied as commit f69de8aa4752 ("ipv6: lower
"link become ready"'s level message") in net-next, thank you!